"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Alert = void 0;
const react_1 = __importDefault(require("react"));
const utilities_1 = require("../utilities");
const Alert = ({ children, uiFunction = utilities_1.UiFunction.Success, ...rest }) => {
    const style = {
        border: '1px solid transparent',
        borderRadius: '5px',
        color: '#000000cc',
        margin: '5px',
        padding: '10px',
    };
    switch (uiFunction) {
        case utilities_1.UiFunction.Danger:
            style.backgroundColor = '#f8d7da';
            style.borderColor = '#f5c2c7';
            style.color = '#842029';
            break;
        case utilities_1.UiFunction.Info:
            style.backgroundColor = '#cff4fc';
            style.borderColor = '#b6effb';
            style.color = '#055160';
            break;
        case utilities_1.UiFunction.Success:
            style.backgroundColor = '#d1e7dd';
            style.borderColor = '#badbcc';
            style.color = '#0f5132';
            break;
        case utilities_1.UiFunction.Warning:
            style.backgroundColor = '#fff3cd';
            style.borderColor = '#ffecb5';
            style.color = '#664d03';
            break;
        default:
            break;
    }
    return (react_1.default.createElement("div", { style: style, ...rest }, children));
};
exports.Alert = Alert;
//# sourceMappingURL=alert.js.map